package de.fraunhofer.iem.dataprovider.sarif

import de.fraunhofer.iem.dataprovider.sarif.model.Sarif
import kotlinx.serialization.decodeFromString
import kotlinx.serialization.json.Json
import java.io.IOException
import java.nio.file.Path

fun getSarifFromPath(resultPath: Path): Sarif {
    val resFile = resultPath.toFile()
    if (resFile.exists()) {
        val resString = resFile.readText()
        val json = Json { ignoreUnknownKeys = true }
        return json.decodeFromString<Sarif>(resString)
    }

    throw IOException("File not found / Path is no file.")
}